#ifndef PLUGINLISTITEM
#define PLUGINLISTITEM



#include <qlistbox.h>



class PluginListItem : public QListBoxPixmap {

    public:
  PluginListItem(QListBox * listbox, const QPixmap& pix, const QString text );
  
  void setEnabled(bool b) { mEnabled = b;}
  bool isEnabled() { return mEnabled;}
  QString text() { return mText;}
  void setPixmap(const QPixmap& pix);
  //virtual const QPixmap* pixmap() { return &mPix; }

 private:
    bool mEnabled;
  QString mText;
  QPixmap mPix;
  QListBox* lb;
};

#endif
